import { ConfigActionType, actionResult, qpqCoreUtils, } from 'quidproquo-core';
const getProcessConfigActionType = (qpqConfig) => {
    return async ({ globalName }) => {
        const globalValue = qpqCoreUtils.getGlobalConfigValue(qpqConfig, globalName);
        return actionResult(globalValue);
    };
};
export default (qpqConfig) => {
    return {
        [ConfigActionType.GetGlobal]: getProcessConfigActionType(qpqConfig),
    };
};
