import { EventActionType, actionResult } from 'quidproquo-core';
const getProcessAutoRespond = (qpqConfig) => {
    return async ({ qpqEventRecord, matchResult }) => {
        // If we could not match, we can just auto respond...
        if (!matchResult.src || !matchResult.runtime) {
            // Just say we have finished gracefully.
            return actionResult(true);
        }
        return actionResult(null);
    };
};
export default (qpqConfig) => {
    return {
        [EventActionType.AutoRespond]: getProcessAutoRespond(qpqConfig),
    };
};
