import { EventActionType, actionResult } from 'quidproquo-core';
const getProcessGetRecords = (qpqConfig) => {
    return async ({ eventParams: [event, context] }) => {
        const internalEventRecord = {
            functionName: event.functionName,
            payload: event.payload,
        };
        return actionResult([internalEventRecord]);
    };
};
export default (qpqConfig) => {
    return {
        [EventActionType.GetRecords]: getProcessGetRecords(qpqConfig),
    };
};
