import getKeyValueStoreDeleteActionProcessor from './getKeyValueStoreDeleteActionProcessor';
import getKeyValueStoreGetActionProcessor from './getKeyValueStoreGetActionProcessor';
import getKeyValueStoreUpsertActionProcessor from './getKeyValueStoreUpsertActionProcessor';
import getKeyValueStoreUpdateActionProcessor from './getKeyValueStoreUpdateActionProcessor';
import getKeyValueStoreQueryActionProcessor from './getKeyValueStoreQueryActionProcessor';
import getKeyValueStoreScanActionProcessor from './getKeyValueStoreScanActionProcessor';
export default (qpqConfig) => ({
    ...getKeyValueStoreDeleteActionProcessor(qpqConfig),
    ...getKeyValueStoreGetActionProcessor(qpqConfig),
    ...getKeyValueStoreQueryActionProcessor(qpqConfig),
    ...getKeyValueStoreUpdateActionProcessor(qpqConfig),
    ...getKeyValueStoreUpsertActionProcessor(qpqConfig),
    ...getKeyValueStoreScanActionProcessor(qpqConfig),
});
